<script setup lang="ts">
import { useMaterialStore } from '@/stores/material'
import { onMounted } from 'vue'

const materialStore = useMaterialStore()
materialStore.All = true
materialStore.changeTable()
</script>

<template>
  <v-card>
    <v-table fixed-header height="554px" style="overflow: auto">
      <thead>
        <tr>
          <th class="text-center">ID</th>
          <th class="text-center">Name</th>
          <th class="text-center">Minimum</th>
          <th class="text-center">Maximum</th>
          <th class="text-center">Unit</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="item of materialStore.tableStock" :key="item.material_id">
          <td class="text-center">{{ item.material_id }}</td>
          <td class="text-center">{{ item.material_name }}</td>
          <td class="text-center">{{ item.material_min }}</td>
          <td class="text-center">{{ item.material_max }}</td>
          <td class="text-center">{{ item.material_unit }}</td>
        </tr>
      </tbody>
    </v-table>
  </v-card>
</template>

<style scoped>
.highlight-row {
  background-color: rgb(250, 197, 24);
}

.zero-row {
  background-color: rgb(255, 0, 0);
}

.normal {
  background-color: green;
}
</style>
